-- PolicyTechUtils
-- Author: Chris
-- DateCreated: 7/20/2014 10:19:54 PM
--------------------------------------------------------------

function CheckAnyPlayerHasTech(techId)
	for i, player in ipairs(Players) do
		pTeam = Teams[player:GetTeam()];
		if (pTeam:IsHasTech(techId)) then
			return true;
		end
	end
	return false;
end

function CheckAnyPlayerHasProject(projectId)
	for i, player in ipairs(Players) do
		pTeam = Teams[player:GetTeam()];
		if (pTeam:GetProjectCount(projectId) > 0) then
			return true;
		end
	end
	return false;
end

function CheckAnyPlayerHasPolicy(policy)
	for i, player in ipairs(Players) do
		if (player:HasPolicy(policy)) then
			return true;
		end
	end
	return false;
end

function CheckPlayerHasAnyInPolicyGroup(player, policyGroup) 
	for i, policy in ipairs(policyGroup) do
		if (player:HasPolicy(GameInfoTypes[policy])) then
			return true;
		end
	end
	return false;
end

function GrantPolicyForTech(pTeam, pPlayer)
	for i, tech in ipairs(g_tech_grants_policy_to_first) do
		if (pTeam:IsHasTech(GameInfoTypes[tech]) and
				not CheckAnyPlayerHasPolicy(GameInfoTypes["POLICY_" .. tech])) then
			print("granting policy for first to " .. tech);
			pPlayer:SetHasPolicy(GameInfoTypes["POLICY_" .. tech], true)
		end
	end

	for i, tech in ipairs(g_tech_grants_policy) do
		if (pTeam:IsHasTech(GameInfoTypes[tech]) and
				not CheckPlayerHasAnyInPolicyGroup(pPlayer, {"POLICY_ALL_" .. tech})) then
			print("granting policy for having " .. tech);
			pPlayer:SetHasPolicy(GameInfoTypes["POLICY_ALL_" .. tech], true)
		end
	end
end
