-- Insert SQL Rules Here 
-- table modifications
ALTER TABLE Policies ADD TradeRouteModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD ReligiousPressureModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD ReligiousDistanceModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD CitizenResearchModifier INTEGER DEFAULT 0;

ALTER TABLE Policies ADD RebellionDistanceModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD RebellionEconomyModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD RebellionCultureModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD RebellionReligionModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD RebellionStarvationModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD RebellionHappinessModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD CultureInBorderModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD OtherCultureInBorderModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD YourCultureInBorderModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD YourCultureOutBorderModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD YourCultureModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD ReligionInBorderModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD YourReligionOutBorderModifier INTEGER DEFAULT 0;
ALTER TABLE Policies ADD MinorInfluenceWithYourReligion INTEGER DEFAULT 0;

ALTER TABLE Traits ADD RebllionDistanceModifier INTEGER DEFAULT 0;
ALTER TABLE Traits ADD OnlyCultureSpreadFromTrade BOOLEAN DEFAULT false;

ALTER TABLE Technologies ADD StealTechFasterModifier INTEGER DEFAULT 0;
ALTER TABLE Technologies ADD RiggingElectionModifier INTEGER DEFAULT 0;
ALTER TABLE Technologies ADD CatchSpiesModifier INTEGER DEFAULT 0;
ALTER TABLE Technologies ADD EnemyStealTechSlowerModifier INTEGER DEFAULT 0;
ALTER TABLE Technologies ADD TechCategory TEXT DEFAULT "";

ALTER TABLE LeagueProjectRewards ADD TradeRouteBonus INTEGER DEFAULT 0;
ALTER TABLE LeagueProjectRewards ADD SpiesBonus INTEGER DEFAULT 0;
ALTER TABLE LeagueProjectRewards ADD BonusVotesPerDiplomat INTEGER DEFAULT 0;
ALTER TABLE LeagueProjectRewards ADD TradeRouteGoldModifier INTEGER DEFAULT 0;
ALTER TABLE LeagueProjectRewards ADD TradeRouteScienceModifier INTEGER DEFAULT 0;
ALTER TABLE LeagueProjectRewards ADD GreatWorkTourismYield INTEGER DEFAULT 0;
ALTER TABLE LeagueProjectRewards ADD GreatWorkScienceYield INTEGER DEFAULT 0;
ALTER TABLE LeagueProjectRewards ADD GreatWorkGoldYeild INTEGER DEFAULT 0;
ALTER TABLE LeagueProjectRewards ADD GreatWorkCultureYield INTEGER DEFAULT 0;
ALTER TABLE LeagueProjectRewards ADD BonusGreatWorks INTEGER DEFAULT 0;
ALTER TABLE LeagueProjectRewards ADD BonusVotes INTEGER DEFAULT 0;

ALTER TABLE Improvements ADD TechPrereq TEXT DEFAULT "";
ALTER TABLE Improvements ADD AutoBuild BOOLEAN DEFAULT false;

ALTER TABLE GameSpeeds ADD RebelThreshold INTEGER DEFAULT 0;
ALTER TABLE GameSpeeds ADD MinInfluenceForPop INTEGER DEFAULT 15;
ALTER TABLE GameSpeeds ADD PopGrowthRateHundredThousandths INTEGER DEFAULT 320;

ALTER TABLE Beliefs ADD ReligionPressureOutsideModifier INTEGER DEFAULT 0;
ALTER TABLE Beliefs ADD MinorCivInfluence INTEGER DEFAULT 0;

ALTER TABLE Units ADD General BOOLEAN DEFAULT false;

DELETE FROM BuildingClasses;
DELETE FROM Buildings;
DELETE FROM Building_ClassesNeededInCity;
DELETE FROM Building_FreeUnits;
DELETE FROM Building_DomainFreeExperiences;
DELETE FROM Building_DomainProductionModifiers;
DELETE FROM Building_HurryModifiers;
DELETE FROM Building_LocalResourceAnds;
DELETE FROM Building_LocalResourceOrs;
DELETE FROM Building_PrereqBuildingClasses;
DELETE FROM Building_ResourceQuantityRequirements;
DELETE FROM Building_RiverPlotYieldChanges;
DELETE FROM Building_SeaPlotYieldChanges;
DELETE FROM Building_LakePlotYieldChanges;
DELETE FROM Building_SeaResourceYieldChanges;
DELETE FROM Building_ResourceYieldChanges;
DELETE FROM Building_FeatureYieldChanges;
DELETE FROM Building_UnitCombatProductionModifiers;
DELETE FROM Building_YieldChanges;
DELETE FROM Building_ThemingBonuses;
DELETE FROM Building_SpecialistYieldChanges;
DELETE FROM Building_YieldChangesPerPop;
DELETE FROM Building_YieldModifiers;
DELETE FROM Building_BuildingClassHappiness;
DELETE FROM Building_DomainFreeExperiencePerGreatWork;
DELETE FROM Building_Flavors;
DELETE FROM Building_GlobalYieldModifiers;
DELETE FROM Building_ResourceQuantity;
DELETE FROM Building_TerrainYieldChanges;
DELETE FROM Building_UnitCombatFreeExperiences;
DELETE FROM Building_YieldChangesPerReligion;
DELETE FROM Building_TechEnhancedYieldChanges;
DELETE FROM Building_BuildingClassYieldChanges;
DELETE FROM Eras;
DELETE FROM Era_Soundtracks;
DELETE FROM Era_CitySoundscapes;
DELETE FROM Era_NewEraVOs;
DELETE FROM PolicyBranchTypes;
DELETE FROM PolicyBranch_Disables;
DELETE FROM Policies;
DELETE FROM Policy_Flavors;
DELETE FROM Policy_PrereqPolicies;
Delete FROM Policy_CityYieldChanges;
Delete FROM Policy_CoastalCityYieldChanges;
Delete FROM Policy_CapitalYieldChanges;
Delete FROM Policy_CapitalYieldPerPopChanges;
Delete FROM Policy_CapitalYieldModifiers;
Delete FROM Policy_Disables;
Delete FROM Policy_GreatWorkYieldChanges;
Delete FROM Policy_HurryModifiers;
Delete FROM Policy_SpecialistExtraYields;
Delete FROM Policy_BuildingClassYieldModifiers;
Delete FROM Policy_BuildingClassYieldChanges;
Delete FROM Policy_BuildingClassCultureChanges;
Delete FROM Policy_BuildingClassProductionModifiers;
Delete FROM Policy_BuildingClassTourismModifiers;
Delete FROM Policy_BuildingClassHappiness;
Delete FROM Policy_ImprovementYieldChanges;
Delete FROM Policy_ImprovementCultureChanges;
Delete FROM Policy_ValidSpecialists;
Delete FROM Policy_YieldModifiers;
Delete FROM Policy_FreePromotions;
Delete FROM Policy_UnitCombatFreeExperiences;
Delete FROM Policy_FreePromotionUnitCombats;
Delete FROM Policy_UnitCombatProductionModifiers;
Delete FROM Policy_FreeUnitClasses;
Delete FROM Policy_TourismOnUnitCreation;
Delete FROM Policy_FreeItems;
Delete FROM Technologies;
DELETE FROM Technology_PrereqTechs;
DELETE FROM Technology_TradeRouteDomainExtraRange;
DELETE FROM Improvement_TechYieldChanges;
DELETE FROM Improvement_TechNoFreshWaterYieldChanges;
DELETE FROM Improvement_TechFreshWaterYieldChanges;
Delete FROM Units;
Delete FROM UnitClasses;
Delete FROM Unit_ClassUpgrades;
Delete FROM Civilization_BuildingClassOverrides;
Delete FROM Civilization_UnitClassOverrides;
Delete FROM Unit_UniqueNames;
Delete FROM Specialists;
Delete FROM SpecialistYields;
Delete FROM Unit_AITypes;
Delete FROM Unit_BuildingClassRequireds;
Delete FROM UnitPromotions_CivilianUnitType;

-- Targeted removals
/*
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_WORKER';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_AZTEC_JAGUAR';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_SCOUT';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_SPEARMAN';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_GREEK_HOPLITE';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_PERSIAN_IMMORTAL';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_EGYPTIAN_WARCHARIOT';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_IROQUOIAN_MOHAWKWARRIOR';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_ROMAN_LEGION';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_GREEK_COMPANIONCAVALRY';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_ROMAN_BALLISTA';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_ARABIAN_CAMELARCHER';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_SONGHAI_MUSLIMCAVALRY';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_CROSSBOWMAN';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_CHINESE_CHUKONU';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_ENGLISH_LONGBOWMAN';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_PIKEMAN';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_TREBUCHET';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_LONGSWORDSMAN';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_JAPANESE_SAMURAI';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_MUSKETMAN';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_AMERICAN_MINUTEMAN';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_FRENCH_MUSKETEER';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_OTTOMAN_JANISSARY';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_LANCER';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_OTTOMAN_SIPAHI';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_RIFLEMAN';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_RUSSIAN_COSSACK';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_ARTILLERY';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_GERMAN_PANZER';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_ANTI_TANK_GUN';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_JAPANESE_ZERO';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_AMERICAN_B17';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_WORKBOAT';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_CARAVEL';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_ENGLISH_SHIPOFTHELINE';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_ENGINEER';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_MONGOLIAN_KESHIK';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_INCAN_SLINGER';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_POLYNESIAN_MAORI_WARRIOR';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_DANISH_BERSERKER';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_DANISH_SKI_INFANTRY';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_KOREAN_TURTLE_SHIP';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_KOREAN_HWACHA';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_BABYLONIAN_BOWMAN';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_CELT_PICTISH_WARRIOR';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_MAYAN_ATLATLIST';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_BYZANTINE_DROMON';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_BYZANTINE_CATAPHRACT';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_CARTHAGINIAN_QUINQUEREME';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_HUN_BATTERING_RAM';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_AUSTRIAN_HUSSAR';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_SWEDISH_CAROLEAN';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_SWEDISH_HAKKAPELIITTA';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_DUTCH_SEA_BEGGAR';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_SPANISH_TERCIO';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_SPANISH_CONQUISTADOR';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_COMPOSITE_BOWMAN';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_GALLEASS';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_GREAT_WAR_INFANTRY';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_MARINE';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_TRIPLANE';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_WWI_BOMBER';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_WWI_TANK';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_MACHINE_GUN';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_ETHIOPIAN_MEHAL_SEFARI';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_VENETIAN_GALLEASS';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_ZULU_IMPI';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_POLISH_WINGED_HUSSAR';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_WRITER';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_MUSICIAN';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_ASSYRIAN_SIEGE_TOWER';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_BRAZILIAN_PRACINHA';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_PORTUGUESE_NAU';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_BERBER_CAVALRY';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_SHOSHONE_PATHFINDER';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_SHOSHONE_COMANCHE_RIDERS';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_KRIS_SWORDSMAN';
DELETE FROM Unit_AITypes WHERE UnitType = 'UNIT_GERMAN_LANDSKNECHT';
*/

DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_WORKER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_AZTEC_JAGUAR';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SCOUT';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SPEARMAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GREEK_HOPLITE';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_PERSIAN_IMMORTAL';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_EGYPTIAN_WARCHARIOT';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_IROQUOIAN_MOHAWKWARRIOR';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_ROMAN_LEGION';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GREEK_COMPANIONCAVALRY';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_ROMAN_BALLISTA';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_ARABIAN_CAMELARCHER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SONGHAI_MUSLIMCAVALRY';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_CROSSBOWMAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_CHINESE_CHUKONU';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_ENGLISH_LONGBOWMAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_PIKEMAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_TREBUCHET';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_LONGSWORDSMAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_JAPANESE_SAMURAI';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_MUSKETMAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_AMERICAN_MINUTEMAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_FRENCH_MUSKETEER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_OTTOMAN_JANISSARY';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_LANCER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_OTTOMAN_SIPAHI';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_RIFLEMAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_RUSSIAN_COSSACK';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_ARTILLERY';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GERMAN_PANZER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_ANTI_TANK_GUN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_JAPANESE_ZERO';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_AMERICAN_B17';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_WORKBOAT';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_CARAVEL';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_ENGLISH_SHIPOFTHELINE';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_ENGINEER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_MONGOLIAN_KESHIK';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_INCAN_SLINGER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_POLYNESIAN_MAORI_WARRIOR';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_DANISH_BERSERKER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_DANISH_SKI_INFANTRY';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_KOREAN_TURTLE_SHIP';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_KOREAN_HWACHA';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_BABYLONIAN_BOWMAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_CELT_PICTISH_WARRIOR';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_MAYAN_ATLATLIST';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_BYZANTINE_DROMON';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_BYZANTINE_CATAPHRACT';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_CARTHAGINIAN_QUINQUEREME';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_HUN_BATTERING_RAM';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_AUSTRIAN_HUSSAR';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SWEDISH_CAROLEAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SWEDISH_HAKKAPELIITTA';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_DUTCH_SEA_BEGGAR';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SPANISH_TERCIO';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SPANISH_CONQUISTADOR';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_COMPOSITE_BOWMAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GALLEASS';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GREAT_WAR_INFANTRY';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_MARINE';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_TRIPLANE';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_WWI_BOMBER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_WWI_TANK';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_MACHINE_GUN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_ETHIOPIAN_MEHAL_SEFARI';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_VENETIAN_GALLEASS';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_ZULU_IMPI';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_POLISH_WINGED_HUSSAR';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_WRITER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_MUSICIAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_ASSYRIAN_SIEGE_TOWER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_BRAZILIAN_PRACINHA';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_PORTUGUESE_NAU';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_BERBER_CAVALRY';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SHOSHONE_PATHFINDER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SHOSHONE_COMANCHE_RIDERS';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_KRIS_SWORDSMAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GERMAN_LANDSKNECHT';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_ARCHER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_BARBARIAN_ARCHER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_BARBARIAN_SPEARMAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_CHARIOT_ARCHER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_INDIAN_WARELEPHANT';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_CATAPULT';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SIAMESE_WARELEPHANT';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_CANNON';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_FRENCH_FOREIGNLEGION';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_ROCKET_ARTILLERY';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GALLEY';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GREAT_GENERAL';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_MONGOLIAN_KHAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_CARTHAGINIAN_FOREST_ELEPHANT';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_HUN_HORSE_ARCHER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_PROPHET';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GATLINGGUN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GREAT_ADMIRAL';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_VENETIAN_MERCHANT';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_BAZOOKA';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_BARBARIAN_HORSEMAN';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_BARBARIAN_AXMAN';

DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_WORKER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_AZTEC_JAGUAR';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_SCOUT';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_SPEARMAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_GREEK_HOPLITE';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_PERSIAN_IMMORTAL';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_EGYPTIAN_WARCHARIOT';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_IROQUOIAN_MOHAWKWARRIOR';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_ROMAN_LEGION';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_GREEK_COMPANIONCAVALRY';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_ROMAN_BALLISTA';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_ARABIAN_CAMELARCHER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_SONGHAI_MUSLIMCAVALRY';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_CROSSBOWMAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_CHINESE_CHUKONU';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_ENGLISH_LONGBOWMAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_PIKEMAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_TREBUCHET';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_LONGSWORDSMAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_JAPANESE_SAMURAI';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_MUSKETMAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_AMERICAN_MINUTEMAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_FRENCH_MUSKETEER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_OTTOMAN_JANISSARY';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_LANCER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_OTTOMAN_SIPAHI';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_RIFLEMAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_RUSSIAN_COSSACK';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_ARTILLERY';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_GERMAN_PANZER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_ANTI_TANK_GUN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_JAPANESE_ZERO';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_AMERICAN_B17';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_WORKBOAT';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_CARAVEL';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_ENGLISH_SHIPOFTHELINE';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_ENGINEER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_MONGOLIAN_KESHIK';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_INCAN_SLINGER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_POLYNESIAN_MAORI_WARRIOR';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_DANISH_BERSERKER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_DANISH_SKI_INFANTRY';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_KOREAN_TURTLE_SHIP';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_KOREAN_HWACHA';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_BABYLONIAN_BOWMAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_CELT_PICTISH_WARRIOR';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_MAYAN_ATLATLIST';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_BYZANTINE_DROMON';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_BYZANTINE_CATAPHRACT';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_CARTHAGINIAN_QUINQUEREME';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_HUN_BATTERING_RAM';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_AUSTRIAN_HUSSAR';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_SWEDISH_CAROLEAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_SWEDISH_HAKKAPELIITTA';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_DUTCH_SEA_BEGGAR';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_SPANISH_TERCIO';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_SPANISH_CONQUISTADOR';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_COMPOSITE_BOWMAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_GALLEASS';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_GREAT_WAR_INFANTRY';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_MARINE';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_TRIPLANE';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_WWI_BOMBER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_WWI_TANK';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_MACHINE_GUN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_ETHIOPIAN_MEHAL_SEFARI';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_VENETIAN_GALLEASS';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_ZULU_IMPI';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_POLISH_WINGED_HUSSAR';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_WRITER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_MUSICIAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_ASSYRIAN_SIEGE_TOWER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_BRAZILIAN_PRACINHA';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_PORTUGUESE_NAU';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_BERBER_CAVALRY';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_SHOSHONE_PATHFINDER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_SHOSHONE_COMANCHE_RIDERS';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_KRIS_SWORDSMAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_GERMAN_LANDSKNECHT';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_WARRIOR';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_ARCHER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_BARBARIAN_ARCHER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_BARBARIAN_SPEARMAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_CHARIOT_ARCHER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_INDIAN_WARELEPHANT';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_SWORDSMAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_BARBARIAN_SWORDSMAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_CATAPULT';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_SIAMESE_WARELEPHANT';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_CANNON';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_INFANTRY';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_FRENCH_FOREIGNLEGION';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_ROCKET_ARTILLERY';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_ARTIST';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_SCIENTIST';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_MERCHANT';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_GREAT_GENERAL';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_CARTHAGINIAN_FOREST_ELEPHANT';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_HUN_HORSE_ARCHER';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_GATLINGGUN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_VENETIAN_MERCHANT';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_BAZOOKA';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_BARBARIAN_HORSEMAN';
DELETE FROM Unit_Flavors WHERE UnitType = 'UNIT_BARBARIAN_AXMAN';

DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_WORKER';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_AZTEC_JAGUAR';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_SCOUT';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_SPEARMAN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_GREEK_HOPLITE';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_PERSIAN_IMMORTAL';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_EGYPTIAN_WARCHARIOT';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_IROQUOIAN_MOHAWKWARRIOR';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_ROMAN_LEGION';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_GREEK_COMPANIONCAVALRY';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_ROMAN_BALLISTA';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_ARABIAN_CAMELARCHER';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_SONGHAI_MUSLIMCAVALRY';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_CROSSBOWMAN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_CHINESE_CHUKONU';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_ENGLISH_LONGBOWMAN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_PIKEMAN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_TREBUCHET';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_LONGSWORDSMAN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_JAPANESE_SAMURAI';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_MUSKETMAN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_AMERICAN_MINUTEMAN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_FRENCH_MUSKETEER';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_OTTOMAN_JANISSARY';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_LANCER';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_OTTOMAN_SIPAHI';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_RIFLEMAN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_RUSSIAN_COSSACK';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_ARTILLERY';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_GERMAN_PANZER';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_ANTI_TANK_GUN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_JAPANESE_ZERO';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_AMERICAN_B17';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_WORKBOAT';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_CARAVEL';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_ENGLISH_SHIPOFTHELINE';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_ENGINEER';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_MONGOLIAN_KESHIK';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_INCAN_SLINGER';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_POLYNESIAN_MAORI_WARRIOR';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_DANISH_BERSERKER';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_DANISH_SKI_INFANTRY';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_KOREAN_TURTLE_SHIP';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_KOREAN_HWACHA';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_BABYLONIAN_BOWMAN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_CELT_PICTISH_WARRIOR';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_MAYAN_ATLATLIST';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_BYZANTINE_DROMON';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_BYZANTINE_CATAPHRACT';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_CARTHAGINIAN_QUINQUEREME';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_HUN_BATTERING_RAM';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_AUSTRIAN_HUSSAR';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_SWEDISH_CAROLEAN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_SWEDISH_HAKKAPELIITTA';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_DUTCH_SEA_BEGGAR';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_SPANISH_TERCIO';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_SPANISH_CONQUISTADOR';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_COMPOSITE_BOWMAN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_GALLEASS';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_GREAT_WAR_INFANTRY';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_MARINE';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_TRIPLANE';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_WWI_BOMBER';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_WWI_TANK';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_MACHINE_GUN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_ETHIOPIAN_MEHAL_SEFARI';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_VENETIAN_GALLEASS';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_ZULU_IMPI';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_POLISH_WINGED_HUSSAR';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_WRITER';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_MUSICIAN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_ASSYRIAN_SIEGE_TOWER';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_BRAZILIAN_PRACINHA';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_PORTUGUESE_NAU';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_BERBER_CAVALRY';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_SHOSHONE_PATHFINDER';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_SHOSHONE_COMANCHE_RIDERS';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_KRIS_SWORDSMAN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_GERMAN_LANDSKNECHT';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_SWORDSMAN';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_ROCKET_ARTILLERY';

DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_WORKER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_AZTEC_JAGUAR';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_SCOUT';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_SPEARMAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GREEK_HOPLITE';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_PERSIAN_IMMORTAL';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_EGYPTIAN_WARCHARIOT';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_IROQUOIAN_MOHAWKWARRIOR';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_ROMAN_LEGION';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GREEK_COMPANIONCAVALRY';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_ROMAN_BALLISTA';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_ARABIAN_CAMELARCHER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_SONGHAI_MUSLIMCAVALRY';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_CROSSBOWMAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_CHINESE_CHUKONU';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_ENGLISH_LONGBOWMAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_PIKEMAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_TREBUCHET';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_LONGSWORDSMAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_JAPANESE_SAMURAI';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_MUSKETMAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_AMERICAN_MINUTEMAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_FRENCH_MUSKETEER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_OTTOMAN_JANISSARY';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_LANCER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_OTTOMAN_SIPAHI';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_RIFLEMAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_RUSSIAN_COSSACK';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_ARTILLERY';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GERMAN_PANZER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_ANTI_TANK_GUN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_JAPANESE_ZERO';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_AMERICAN_B17';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_WORKBOAT';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_CARAVEL';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_ENGLISH_SHIPOFTHELINE';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_ENGINEER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_MONGOLIAN_KESHIK';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_INCAN_SLINGER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_POLYNESIAN_MAORI_WARRIOR';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_DANISH_BERSERKER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_DANISH_SKI_INFANTRY';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_KOREAN_TURTLE_SHIP';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_KOREAN_HWACHA';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_BABYLONIAN_BOWMAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_CELT_PICTISH_WARRIOR';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_MAYAN_ATLATLIST';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_BYZANTINE_DROMON';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_BYZANTINE_CATAPHRACT';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_CARTHAGINIAN_QUINQUEREME';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_HUN_BATTERING_RAM';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_AUSTRIAN_HUSSAR';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_SWEDISH_CAROLEAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_SWEDISH_HAKKAPELIITTA';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_DUTCH_SEA_BEGGAR';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_SPANISH_TERCIO';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_SPANISH_CONQUISTADOR';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_COMPOSITE_BOWMAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GALLEASS';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GREAT_WAR_INFANTRY';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_MARINE';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_TRIPLANE';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_WWI_BOMBER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_WWI_TANK';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_MACHINE_GUN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_ETHIOPIAN_MEHAL_SEFARI';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_VENETIAN_GALLEASS';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_ZULU_IMPI';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_POLISH_WINGED_HUSSAR';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_WRITER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_MUSICIAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_ASSYRIAN_SIEGE_TOWER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_BRAZILIAN_PRACINHA';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_PORTUGUESE_NAU';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_BERBER_CAVALRY';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_SHOSHONE_PATHFINDER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_SHOSHONE_COMANCHE_RIDERS';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_KRIS_SWORDSMAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GERMAN_LANDSKNECHT';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_ARCHER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_ARTIST';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_BARBARIAN_ARCHER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_BARBARIAN_AXMAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_BARBARIAN_SPEARMAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_BARBARIAN_SWORDSMAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_BARBARIAN_WARRIOR';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_BAZOOKA';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_CANNON';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_CARTHAGINIAN_FOREST_ELEPHANT';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_CHARIOT_ARCHER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_INDIAN_WARELEPHANT';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_CATAPULT';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_INFANTRY';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_MERCHANT';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_SCIENTIST';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_SIAMESE_WARELEPHANT';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_FRENCH_FOREIGNLEGION';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_ROCKET_ARTILLERY';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GALLEY';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GREAT_GENERAL';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_MONGOLIAN_KHAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_HUN_HORSE_ARCHER';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_PROPHET';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GATLINGGUN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GREAT_ADMIRAL';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_VENETIAN_MERCHANT';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_SWORDSMAN';
DELETE FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_WARRIOR';
