-- Insert SQL Rules Here 

--DELETE FROM UnitClasses;
--INSERT INTO UnitClasses (Type, Description, DefaultUnit) SELECT Class, Description, Type FROM Units GROUP BY Class ORDER BY ID;

--DELETE FROM BuildingClasses;
--INSERT INTO BuildingClasses (Type, DefaultBuilding, Description) SELECT BuildingClass, Type, Description FROM Buildings GROUP BY BuildingClass ORDER BY ID;

UPDATE Units SET 'PurchaseOnly' = 'true';

UPDATE Units SET WorkRate = '100' WHERE Class <> 'UNITCLASS_WORKER';
UPDATE Units SET WorkRate = '250' WHERE Class = 'UNITCLASS_SETTLER';

INSERT INTO UNIT_BUILDS (UnitType, BuildType) SELECT UNITS.Type, BUILDS.Type
FROM UNITS, BUILDS WHERE UNITS.Type IN (
	'UNIT_WORKER',
	'UNIT_SETTLER',
	'UNIT_MECHANIZED_INFANTRY',
	'UNIT_PARATROOPER',
	'UNIT_INFANTRY',
	'UNIT_FRENCH_FOREIGNLEGION',
	'UNIT_RIFLEMAN',
	'UNIT_MUSKETMAN',
	'UNIT_AMERICAN_MINUTEMAN',
	'UNIT_FRENCH_MUSKETEER',
	'UNIT_OTTOMAN_JANISSARY',
	'UNIT_LONGSWORDSMAN',
--	'UNIT_JAPANESE_SAMURAI',
	'UNIT_PIKEMAN',
	'UNIT_GERMAN_LANDSKNECHT',
	'UNIT_SWORDSMAN',
	'UNIT_IROQUOIAN_MOHAWKWARRIOR',
--	'UNIT_ROMAN_LEGION',
	'UNIT_SPEARMAN',
	'UNIT_GREEK_HOPLITE',
	'UNIT_PERSIAN_IMMORTAL',
	'UNIT_WARRIOR',
	'UNIT_AZTEC_JAGUAR',
	'UNIT_GREAT_WAR_INFANTRY',
	'UNIT_MARINE',
	'UNIT_ETHIOPIAN_MEHAL_SEFARI',
	'UNIT_ZULU_IMPI',
	'UNIT_BRAZILIAN_PRACINHA',
	'UNIT_KRIS_SWORDSMAN',
	'UNIT_XCOM_SQUAD',
	'UNIT_MECH',
	'UNIT_MODERN_ARMOR',
	'UNIT_MOBILE_SAM',
	'UNIT_ROCKET_ARTILLERY',
	'UNIT_TANK',
	'UNIT_GERMAN_PANZER',
	'UNIT_ARTILLERY',
	'UNIT_ANTI_AIRCRAFT_GUN',
	'UNIT_ANTI_TANK_GUN',
	'UNIT_CAVALRY',
	'UNIT_RUSSIAN_COSSACK',
	'UNIT_LANCER',
	'UNIT_OTTOMAN_SIPAHI',
	'UNIT_CANNON',
	'UNIT_TREBUCHET',
	'UNIT_KNIGHT',
	'UNIT_ARABIAN_CAMELARCHER',
	'UNIT_SIAMESE_WARELEPHANT',
	'UNIT_SONGHAI_MUSLIMCAVALRY',
	'UNIT_CROSSBOWMAN',
	'UNIT_CHINESE_CHUKONU',
	'UNIT_ENGLISH_LONGBOWMAN',
	'UNIT_CATAPULT',
	'UNIT_ROMAN_BALLISTA',
	'UNIT_HORSEMAN',
	'UNIT_GREEK_COMPANIONCAVALRY',
	'UNIT_CHARIOT_ARCHER',
	'UNIT_EGYPTIAN_WARCHARIOT',
	'UNIT_INDIAN_WARELEPHANT',
	'UNIT_ARCHER',
	'UNIT_SCOUT',
	'UNIT_MISSIONARY',
	'UNIT_COMPOSITE_BOWMAN',
	'UNIT_WWI_TANK',
	'UNIT_MACHINE_GUN',
	'UNIT_INQUISITOR',
	'UNIT_GATLINGGUN',
	'UNIT_POLISH_WINGED_HUSSAR',
	'UNIT_ASSYRIAN_SIEGE_TOWER',
	'UNIT_BERBER_CAVALRY',
	'UNIT_SHOSHONE_PATHFINDER',
	'UNIT_SHOSHONE_COMANCHE_RIDERS',
	'UNIT_BAZOOKA',
	'UNIT_KRIS_SWORDSMAN',
	'UNIT_SCOUT',
	'UNIT_MONGOLIAN_KESHIK',
	'UNIT_INCAN_SLINGER',
	'UNIT_SPANISH_TERCIO',
	'UNIT_SPANISH_CONQUISTADOR',
	'UNIT_POLYNESIAN_MAORI_WARRIOR',
	'UNIT_DANISH_BERSERKER',
	'UNIT_DANISH_SKI_INFANTRY',
	'UNIT_KOREAN_HWACHA',
	'UNIT_BABYLONIAN_BOWMAN',
	'UNIT_BATTLEFIELD_HACKER',
	'UNIT_CARTHAGINIAN_FOREST_ELEPHANT',
	'UNIT_HUN_HORSE_ARCHER') and BUILDS.type IN(
--	'BUILD_FARM',
	'BUILD_ROAD',
	'BUILD_RAILROAD',
--	'BUILD_MINE',
--	'BUILD_TRADING_POST',
--	'BUILD_LUMBERMILL',
--	'BUILD_PASTURE',
--	'BUILD_CAMP',
--	'BUILD_WELL',
	'BUILD_FORT',
--	'BUILD_REMOVE_JUNGLE',
--	'BUILD_REMOVE_MARSH',
--	'BUILD_REMOVE_FOREST',
	'BUILD_SCRUB_FALLOUT',
--	'BUILD_REPAIR',
	'BUILD_REMOVE_ROUTE',
--	'BUILD_MOAI',
--	'BUILD_TERRACE_FARM',
--	'BUILD_POLDER',
--	'BUILD_BRAZILWOOD_CAMP',
--	'BUILD_KABASH',
	'BUILD_FEITORIA'
--	'BUILD_CHATEAU',
--	'BUILD_HOLY_SITE',
--	'BUILD_ACADEMY',
--	'BUILD_AMPHITHEATER',
--	'BUILD_MANUFACTORY',
--	'BUILD_WIND_FARM',
--	'BUILD_SOLAR_FARM',
--	'BUILD_DATA_CENTER');
);

INSERT INTO Unit_FreePromotions (UnitType, PromotionType) SELECT UNITS.Type, 'PROMOTION_USE_ENEMY_ROUTE'
FROM UNITS WHERE UNITS.Type IN (
	'UNIT_SETTLER',
	'UNIT_MECHANIZED_INFANTRY',
	'UNIT_PARATROOPER',
	'UNIT_INFANTRY',
	'UNIT_FRENCH_FOREIGNLEGION',
	'UNIT_RIFLEMAN',
	'UNIT_MUSKETMAN',
	'UNIT_AMERICAN_MINUTEMAN',
	'UNIT_FRENCH_MUSKETEER',
	'UNIT_OTTOMAN_JANISSARY',
	'UNIT_LONGSWORDSMAN',
	'UNIT_JAPANESE_SAMURAI',
	'UNIT_PIKEMAN',
	'UNIT_GERMAN_LANDSKNECHT',
	'UNIT_SWORDSMAN',
	'UNIT_IROQUOIAN_MOHAWKWARRIOR',
	'UNIT_ROMAN_LEGION',
	'UNIT_SPEARMAN',
	'UNIT_GREEK_HOPLITE',
	'UNIT_PERSIAN_IMMORTAL',
	'UNIT_WARRIOR',
	'UNIT_AZTEC_JAGUAR',
	'UNIT_GREAT_WAR_INFANTRY',
	'UNIT_MARINE',
	'UNIT_ETHIOPIAN_MEHAL_SEFARI',
	'UNIT_ZULU_IMPI',
	'UNIT_BRAZILIAN_PRACINHA',
	'UNIT_KRIS_SWORDSMAN',
	'UNIT_XCOM_SQUAD',
	'UNIT_MECH',
	'UNIT_MODERN_ARMOR',
	'UNIT_MOBILE_SAM',
	'UNIT_ROCKET_ARTILLERY',
	'UNIT_TANK',
	'UNIT_GERMAN_PANZER',
	'UNIT_ARTILLERY',
	'UNIT_ANTI_AIRCRAFT_GUN',
	'UNIT_ANTI_TANK_GUN',
	'UNIT_CAVALRY',
	'UNIT_RUSSIAN_COSSACK',
	'UNIT_LANCER',
	'UNIT_OTTOMAN_SIPAHI',
	'UNIT_CANNON',
	'UNIT_TREBUCHET',
	'UNIT_KNIGHT',
	'UNIT_ARABIAN_CAMELARCHER',
	'UNIT_SIAMESE_WARELEPHANT',
	'UNIT_SONGHAI_MUSLIMCAVALRY',
	'UNIT_CROSSBOWMAN',
	'UNIT_CHINESE_CHUKONU',
	'UNIT_ENGLISH_LONGBOWMAN',
	'UNIT_CATAPULT',
	'UNIT_ROMAN_BALLISTA',
	'UNIT_HORSEMAN',
	'UNIT_GREEK_COMPANIONCAVALRY',
	'UNIT_CHARIOT_ARCHER',
	'UNIT_EGYPTIAN_WARCHARIOT',
	'UNIT_INDIAN_WARELEPHANT',
	'UNIT_ARCHER',
	'UNIT_SCOUT',
	'UNIT_MISSIONARY',
	'UNIT_COMPOSITE_BOWMAN',
	'UNIT_WWI_TANK',
	'UNIT_MACHINE_GUN',
	'UNIT_INQUISITOR',
	'UNIT_GATLINGGUN',
	'UNIT_POLISH_WINGED_HUSSAR',
	'UNIT_ASSYRIAN_SIEGE_TOWER',
	'UNIT_BERBER_CAVALRY',
	'UNIT_SHOSHONE_PATHFINDER',
	'UNIT_SHOSHONE_COMANCHE_RIDERS',
	'UNIT_BAZOOKA',
	'UNIT_KRIS_SWORDSMAN',
	'UNIT_SCOUT',
	'UNIT_MONGOLIAN_KESHIK',
	'UNIT_INCAN_SLINGER',
	'UNIT_SPANISH_TERCIO',
	'UNIT_SPANISH_CONQUISTADOR',
	'UNIT_POLYNESIAN_MAORI_WARRIOR',
	'UNIT_DANISH_BERSERKER',
	'UNIT_DANISH_SKI_INFANTRY',
	'UNIT_KOREAN_HWACHA',
	'UNIT_BABYLONIAN_BOWMAN',
	'UNIT_BATTLEFIELD_HACKER',
	'UNIT_CARTHAGINIAN_FOREST_ELEPHANT',
	'UNIT_HUN_HORSE_ARCHER');


--UPDATE Units SET 'Food' = 'true' WHERE NOT Class IN (
--	'UNITCLASS_WORKBOAT',
--	'UNITCLASS_SS_STASIS_CHAMBER',
--	'UNITCLASS_SS_ENGINE',
--	'UNITCLASS_SS_COCKPIT',
--	'UNITCLASS_SS_BOOSTER',
--	'UNITCLASS_MISSILE_CRUISER',
--	'UNITCLASS_NUCLEAR_SUBMARINE',
--	'UNITCLASS_CARRIER',
--	'UNITCLASS_BATTLESHIP',
--	'UNITCLASS_SUBMARINE',
--	'UNITCLASS_DESTROYER',
--	'UNITCLASS_IRONCLAD',
--	'UNITCLASS_FRIGATE',
--	'UNITCLASS_TRIREME',
--	'UNITCLASS_MECH',
--	'UNITCLASS_NUCLEAR_MISSILE',
--	'UNITCLASS_STEALTH_BOMBER',
--	'UNITCLASS_JET_FIGHTER',
--	'UNITCLASS_GUIDED_MISSILE',
--	'UNITCLASS_MODERN_ARMOR',
--	'UNITCLASS_HELICOPTER_GUNSHIP',
--	'UNITCLASS_MOBILE_SAM',
--	'UNITCLASS_ROCKET_ARTILLERY',
--	'UNITCLASS_MECHANIZED_INFANTRY',
--	'UNITCLASS_ATOMIC_BOMB',
--	'UNITCLASS_BOMBER',
--	'UNITCLASS_FIGHTER',
--	'UNITCLASS_PARATROOPER',
--	'UNITCLASS_TANK',
--	'UNITCLASS_ANTI_AIRCRAFT_GUN',
--	'UNITCLASS_INFANTRY',
--	'UNITCLASS_CAVALRY',
--	'UNITCLASS_CANNON',
--	'UNITCLASS_CATAPULT',
--	'UNITCLASS_GALLEY',
--	'UNITCLASS_PRIVATEER',
--	'UNITCLASS_GATLINGGUN',
--	'UNITCLASS_CARGO_SHIP',
--	'UNITCLASS_BAZOOKA',
--	'UNITCLASS_XCOM_SQUAD',
--	'UNITCLASS_HELICOPTER_INFANTRY',
--	'UNITCLASS_DRONE',
--	'UNITCLASS_BATTLEFIELD_HACKER');
--UPDATE Units SET PurchaseOnly = 'true' WHERE
--	NOT Class in ('UNITCLASS_SETTLER',
--	'UNITCLASS_WORKER',
--	'UNITCLASS_ARCHAEOLOGIST',
--	'UNITCLASS_WORKBOAT',
--	'UNITCLASS_SS_STASIS_CHAMBER',
--	'UNITCLASS_SS_ENGINE',
--	'UNITCLASS_SS_COCKPIT',
--	'UNITCLASS_SS_BOOSTER');

--INSERT INTO UNIT_BUILDS (UnitType, BuildType) SELECT UNITS.Type, BUILDS.Type
--FROM UNITS, BUILDS WHERE UNITS.Type IN (
--	'UNIT_MISSILE_CRUISER',
--	'UNIT_NUCLEAR_SUBMARINE',
--	'UNIT_CARRIER',
--	'UNIT_BATTLESHIP',
--	'UNIT_SUBMARINE',
--	'UNIT_DESTROYER',
--	'UNIT_IRONCLAD',
--	'UNIT_FRIGATE',
--	'UNIT_ENGLISH_SHIPOFTHELINE',
--	'UNIT_CARAVEL',
--	'UNIT_TRIREME',
--	'UNIT_GALLEY',
--	'UNIT_GALLEASS',
--	'UNIT_PRIVATEER',
--	'UNIT_PORTUGUESE_NAU',
--	'UNIT_VENETIAN_GALLEASS',
--	'UNIT_KOREAN_TURTLE_SHIP') and BUILDS.type IN(
--	'BUILD_OFFSHORE_PLATFORM',
--	'BUILD_FISHING_BOATS',
--	'BUILD_REPAIR'
--	'BUILD_OFFSHORE_WIND_FARM',
--	'BUILD_PORT');
--);

--INSERT INTO UNIT_AITYPES (UnitType, UnitAIType) SELECT UNITS.Type, 'UNITAI_WORKER_SEA'
--FROM UNITS WHERE UNITS.Type IN (
--	'UNIT_MISSILE_CRUISER',
--	'UNIT_NUCLEAR_SUBMARINE',
--	'UNIT_CARRIER',
--	'UNIT_BATTLESHIP',
--	'UNIT_SUBMARINE',
--	'UNIT_DESTROYER',
--	'UNIT_IRONCLAD',
--	'UNIT_FRIGATE',
--	'UNIT_ENGLISH_SHIPOFTHELINE',
--	'UNIT_CARAVEL',
--	'UNIT_TRIREME',
--	'UNIT_GALLEY',
--	'UNIT_GALLEASS',
--	'UNIT_PRIVATEER',
--	'UNIT_PORTUGUESE_NAU',
--	'UNIT_VENETIAN_GALLEASS',
--	'UNIT_KOREAN_TURTLE_SHIP');

--INSERT INTO UNIT_FLAVORS (UnitType, FlavorType, Flavor) SELECT UNITS.Type, 'FLAVOR_NAVAL_TILE_IMPROVEMENT', '5'
--FROM UNITS WHERE UNITS.Type IN (
--	'UNIT_MISSILE_CRUISER',
--	'UNIT_NUCLEAR_SUBMARINE',
--	'UNIT_CARRIER',
--	'UNIT_BATTLESHIP',
--	'UNIT_SUBMARINE',
--	'UNIT_DESTROYER',
--	'UNIT_IRONCLAD',
--	'UNIT_FRIGATE',
--	'UNIT_ENGLISH_SHIPOFTHELINE',
--	'UNIT_CARAVEL',
--	'UNIT_TRIREME',
--	'UNIT_GALLEY',
--	'UNIT_GALLEASS',
--	'UNIT_PRIVATEER',
--	'UNIT_PORTUGUESE_NAU',
--	'UNIT_VENETIAN_GALLEASS',
--	'UNIT_KOREAN_TURTLE_SHIP');