INSERT INTO Unit_ResourceQuantityRequirements
(UnitType,							ResourceType) VALUES
('UNIT_ARMORED_ATTACK_WARRIORS',	'RESOURCE_IRON'),
('UNIT_ARMORED_DEFENSE_WARRIORS',	'RESOURCE_IRON'),
('UNIT_HORSEMAN',					'RESOURCE_HORSE'),
('UNIT_ELEPHANT',					'RESOURCE_IVORY'),
('UNIT_KNIGHT',						'RESOURCE_HORSE'),
('UNIT_ARMORED_ELEPHANT',			'RESOURCE_IVORY'),
('UNIT_KNIGHT',						'RESOURCE_IRON'),
('UNIT_ARMORED_ELEPHANT',			'RESOURCE_IRON'),
('UNIT_CAVALRY',					'RESOURCE_HORSE'),
('UNIT_TANK',						'RESOURCE_OIL'),
('UNIT_HELICOPTER_INFANTRY',		'RESOURCE_ALUMINUM'),
('UNIT_HELICOPTER_GUNSHIP',			'RESOURCE_ALUMINUM'),
('UNIT_MODERN_ARMOR',				'RESOURCE_ALUMINUM'),
('UNIT_MECHANIZED_INFANTRY',		'RESOURCE_OIL'),
('UNIT_XCOM_SQUAD',					'RESOURCE_URANIUM'),
('UNIT_MECH',						'RESOURCE_URANIUM');

INSERT INTO Unit_ClassUpgrades
(UnitType,							UnitClassType)
SELECT Type, GoodyHutUpgradeUnitClass FROM Units;
--VALUES
--('UNIT_ATTACK_WARRIORS',			'UNITCLASS_ARMORED_ATTACK_WARRIORS'),
--('UNIT_DEFENSE_WARRIORS',			'UNITCLASS_ARMORED_DEFENSE_WARRIORS'),
--('UNIT_ARMORED_ATTACK_WARRIORS',	'UNITCLASS_ATTACK_GUN_INFANTRY'),
--('UNIT_ARMORED_DEFENSE_WARRIORS',	'UNITCLASS_DEFENSE_GUN_INFANTRY'),
--('UNIT_ATTACK_GUN_INFANTRY',		'UNITCLASS_ATTACK_LASER_INFANTRY'),
--('UNIT_DEFENSE_GUN_INFANTRY',		'UNITCLASS_DEFENSE_LASER_INFANTRY').
--('UNIT_PARATROOPER',				'UNITCLASS_XCOM_SQUAD');


INSERT INTO Unit_AITypes (UnitType, UnitAIType)
-- could do CombatClass, but then AI might attack with defense and defend with attack units
SELECT Type, 'UNITAI_ATTACK' FROM Units WHERE DefaultUnitAI = 'UNITAI_ATTACK' UNION ALL
SELECT Type, 'UNITAI_DEFENSE' FROM Units WHERE DefaultUnitAI = 'UNITAI_ATTACK' UNION ALL
SELECT Type, 'UNITAI_EXPLORE' FROM Units WHERE DefaultUnitAI = 'UNITAI_ATTACK' UNION ALL
SELECT Type, 'UNITAI_DEFENSE' FROM Units WHERE DefaultUnitAI = 'UNITAI_DEFENSE' UNION ALL
SELECT Type, 'UNITAI_ATTACK' FROM Units WHERE DefaultUnitAI = 'UNITAI_DEFENSE' UNION ALL
SELECT Type, 'UNITAI_CITY_BOMBARD' FROM Units WHERE DefaultUnitAI = 'UNITAI_DEFENSE' UNION ALL
SELECT Type, 'UNITAI_RANGED' FROM Units WHERE DefaultUnitAI = 'UNITAI_DEFENSE' UNION ALL
SELECT Type, 'UNITAI_RANGED' FROM Units WHERE DefaultUnitAI = 'UNITAI_RANGED' UNION ALL
SELECT Type, 'UNITAI_ATTACK' FROM Units WHERE DefaultUnitAI = 'UNITAI_RANGED' UNION ALL
SELECT Type, 'UNITAI_DEFENSE' FROM Units WHERE DefaultUnitAI = 'UNITAI_RANGED' UNION ALL
SELECT Type, 'UNITAI_CITY_BOMBARD' FROM Units WHERE DefaultUnitAI = 'UNITAI_RANGED' UNION ALL
SELECT Type, 'UNITAI_PARADROP' FROM Units WHERE DefaultUnitAI = 'UNITAI_PARADROP' UNION ALL
SELECT Type, 'UNITAI_ATTACK' FROM Units WHERE DefaultUnitAI = 'UNITAI_PARADROP' UNION ALL
SELECT Type, 'UNITAI_EXPLORE' FROM Units WHERE DefaultUnitAI = 'UNITAI_PARADROP' UNION ALL
SELECT Type, 'UNITAI_FAST_ATTACK' FROM Units WHERE DefaultUnitAI = 'UNITAI_FAST_ATTACK' UNION ALL
SELECT Type, 'UNITAI_EXPLORE' FROM Units WHERE DefaultUnitAI = 'UNITAI_FAST_ATTACK' UNION ALL
SELECT Type, 'UNITAI_ATTACK' FROM Units WHERE DefaultUnitAI = 'UNITAI_FAST_ATTACK' UNION ALL
SELECT Type, 'UNITAI_DEFENSE' FROM Units WHERE DefaultUnitAI = 'UNITAI_FAST_ATTACK' UNION ALL

SELECT Type, 'UNITAI_ASSAULT_SEA' FROM Units WHERE DefaultUnitAI = 'UNITAI_ASSAULT_SEA' UNION ALL
SELECT Type, 'UNITAI_ATTACK_SEA' FROM Units WHERE DefaultUnitAI = 'UNITAI_ATTACK_SEA' UNION ALL
SELECT Type, 'UNITAI_PIRATE_SEA' FROM Units WHERE DefaultUnitAI = 'UNITAI_PIRATE_SEA' UNION ALL
SELECT Type, 'UNITAI_RESERVE_SEA' FROM Units WHERE DefaultUnitAI = 'UNITAI_ASSAULT_SEA' UNION ALL
SELECT Type, 'UNITAI_RESERVE_SEA' FROM Units WHERE DefaultUnitAI = 'UNITAI_ATTACK_SEA' UNION ALL
SELECT Type, 'UNITAI_RESERVE_SEA' FROM Units WHERE DefaultUnitAI = 'UNITAI_PIRATE_SEA' UNION ALL
SELECT Type, 'UNITAI_ESCORT_SEA' FROM Units WHERE DefaultUnitAI = 'UNITAI_ASSAULT_SEA' UNION ALL
SELECT Type, 'UNITAI_ESCORT_SEA' FROM Units WHERE DefaultUnitAI = 'UNITAI_ATTACK_SEA' UNION ALL
SELECT Type, 'UNITAI_ESCORT_SEA' FROM Units WHERE DefaultUnitAI = 'UNITAI_PIRATE_SEA' UNION ALL
SELECT Type, 'UNITAI_EXPLORE_SEA' FROM Units WHERE DefaultUnitAI = 'UNITAI_ASSAULT_SEA' UNION ALL
SELECT Type, 'UNITAI_EXPLORE_SEA' FROM Units WHERE DefaultUnitAI = 'UNITAI_ATTACK_SEA' UNION ALL
SELECT Type, 'UNITAI_EXPLORE_SEA' FROM Units WHERE DefaultUnitAI = 'UNITAI_PIRATE_SEA' UNION ALL
SELECT Type, 'UNITAI_CARRIER_SEA' FROM Units WHERE DefaultUnitAI = 'UNITAI_CARRIER_SEA' UNION ALL
SELECT Type, 'UNITAI_TRADE_UNIT' FROM Units WHERE DefaultUnitAI = 'UNITAI_TRADE_UNIT';

INSERT INTO Unit_Flavors (UnitType, FlavorType, Flavor)
SELECT Type, 'FLAVOR_OFFENSE', 12 FROM Units WHERE DefaultUnitAI = 'UNITAI_ATTACK' UNION ALL
SELECT Type, 'FLAVOR_DEFENSE', 12 FROM Units WHERE DefaultUnitAI = 'UNITAI_DEFENSE' UNION ALL
SELECT Type, 'FLAVOR_OFFENSE', 12 FROM Units WHERE DefaultUnitAI = 'UNITAI_RANGED' UNION ALL
SELECT Type, 'FLAVOR_OFFENSE', 12 FROM Units WHERE DefaultUnitAI = 'UNITAI_PARADROP' UNION ALL
SELECT Type, 'FLAVOR_OFFENSE', 12 FROM Units WHERE DefaultUnitAI = 'UNITAI_FAST_ATTACK';

INSERT INTO UnitClasses (Type, Description, DefaultUnit) SELECT Class, Description, Type FROM Units;

UPDATE UnitClasses SET MaxPlayerInstances = 1 WHERE Type = 'UNITCLASS_SS_COCKPIT';
UPDATE UnitClasses SET MaxPlayerInstances = 1 WHERE Type = 'UNITCLASS_SS_ENGINE';
UPDATE UnitClasses SET MaxPlayerInstances = 1 WHERE Type = 'UNITCLASS_SS_STASIS_CHAMBER';
UPDATE UnitClasses SET MaxPlayerInstances = 3 WHERE Type = 'UNITCLASS_SS_BOOSTER';
